Bug 9106 - Filtering list of uncertain price list by owner empties order information
Summary: Filtering list of uncertain price list by owner empties order information
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low critical (vote)
Assignee: Bugs List
QA Contact:
URL: /cgi-bin/koha/acqui/uncertainprice.pl
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-19 15:36 UTC by Owen Leonard
Modified: 2019-06-27 09:24 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9106 - Filtering list of uncertain price list by owner empties order information (1.75 KB, patch)
2012-11-19 16:01 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 9106 - Filtering list of uncertain price list by owner empties order information (1.76 KB, patch)
2012-11-21 15:56 UTC, Paul Poulain
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2012-11-19 15:36:27 UTC
On the list of uncertain prices there is an option to show orders by "me" or "Everyone." Submitting this form appears to do nothing because the form action clears quantity and pricing information from the orders. When the page refreshes there are no results because the "uncertain" flag has been cleared along with other order info from *all* orders which have uncertain prices.

In the template, the filter form includes the op=validate field which is the parameter that tells the script to perform the ModOrder operation.

Removing that form field should correct the problem.
Comment 1 Owen Leonard 2012-11-19 16:01:24 UTC Comment hidden (obsolete)
Comment 2 Paul Poulain 2012-11-21 15:56:59 UTC
Created attachment 13598 [details] [review]
Bug 9106 - Filtering list of uncertain price list by owner empties order information

The form which filters the list of orders with uncertain prices
includes a parameter which tells the script to modify the orders,
resulting in order information being lost. This patch removes
the unnecessary form field.

To test you must have orders with uncertain prices, preferably from
more than one user. Go to the uncertain prices page. Before applying
this patch, submitting the "orders from" form would cause the page
to refresh with no results. This is because the script cleared the
orders of price, quantity, etc. information.

After applying this patch the uncertain prices list should refresh
and show the correct results, either your orders ("me") or all
("Everyone").

Signed-off-by: Paul Poulain <paul.poulain@biblibre.com>
Comment 3 Paul Poulain 2012-11-21 15:57:46 UTC
patch tested, fixes the nasty problem

QA comment: just remove one line in the template, passed QA

SO & QA in one go
Comment 4 Jared Camins-Esakov 2012-11-22 14:48:12 UTC
This patch has been pushed to master.
Comment 5 Chris Cormack 2012-11-29 07:31:19 UTC
Pushed to 3.10.x, will be in 3.10.1
Comment 6 Chris Cormack 2012-11-29 22:28:02 UTC
Pushed to 3.8.x, will be in 3.8.8